<?

if (isset($_GET['pass'])) {
    include_once 'inc/pass.php';
}

if (!empty($_GET['r'])) {
    $_SESSION['refer'] = intval($_GET['r']);
}
if(isset($_GET['autologin']))
{
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `autologin` = '".mysql_real_escape_string($_GET['autologin'])."'"),0)!=0)
{
$id_user =mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE  `autologin` = '".mysql_real_escape_string($_GET['autologin'])."'"));
setcookie('id', $id_user['id'], time()+86400*365, '/');
setcookie('admin', '', time() - 100, '/');

setcookie('pass', $id_user['password'], time()+86400*365, '/');
  header("Location:/myfarm");
exit;
}
else err_game("Неверная ссылка автологина!");
}
echo "<div></div><div></div>";

echo "<center><div class='block event'>Моя Деревня</div></center>";

echo "<div class='content'>";

echo "<div class='block'>";

echo "<div>";
/*
$dater = date("j", time());
if($dater>=1)$img='1';
if($dater>=4)$img='2';
if($dater>=7)$img='3';
if($dater>=10)$img='4';
if($dater>=13)$img='5';
if($dater>=16)$img='6';
if($dater>=19)$img='7';
if($dater>=22)$img='8';
if($dater>=25)$img='9';
if($dater>=28)$img='10';
if($dater>=31)$img='11';
$img='logo_farm.jpg';*/
$img = 'ris_3498.jpg';

echo "</div>";

echo "<div class='1'>";
echo "<br><center>
Если ты мечтаешь стать Успешным Фермером и превратить свой маленький участок земли в прибыльное хозяйство, но не знаешь как, <br> то <span class='title'>Моя деревня</span> - то, что вы искали! <br>
<br><span class='title'>Дачный сезон наступает и в вашем телефоне!</span>


";

echo "
<ul class='pt'>
</ul>
";

echo "</div>";

echo "</div><div class='block event'>";
$online = mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `date_last` > '" . (time() - $set['timeOnline']) . "'"), 0);
if ($online == 0) {
    $online = 1;
}
echo "Онлайн <span class='title'>$online</span>, регистраций
<span class='title'>" . mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user`"), 0) . "</span></div>";
echo "</div>";

/*
echo "<ul class='pt'>";
echo "<li><img width='16' height='16' src='images/icons/forum.png' alt='o'> <a href='?forum'>Форум</a></li>";
echo "<li><img width='16' height='16' src='images/icons/chat.png' alt='o'> <a href='?chat'>Чат</a></li>";
echo "</ul>";
*/
echo'</div></div></div></div></div></div></div></div></div></div>';

echo "</div>";

if (isset($_POST['nick']) && isset($_POST['password'])) {
    include_once 'inc/head.php';

    if (empty($_POST['nick']))
        err_game("Введите ник");
    elseif (empty($_POST['password']))
        err_game("Введите пароль");

    else
        if (mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `nick` = '" . my_esc($_POST['nick']) . "' AND `password` = '" . md5(my_esc($_POST['password'])) .
            "' LIMIT 1"), 0) == 0)
            err_game("Неверный ник или пароль");
        else {
           $user =mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `nick` = '".my_esc($_POST['nick'])."' AND `password` = '".md5($_POST['password'])."'"));
$id=$user['id'];
$pass = md5($_POST['password']);
    
setcookie('id', $id, time() + 84600 * 365, '/');
setcookie('pass', $pass, time() + 84600 * 365, '/');

            header("Location: http://$_SERVER[HTTP_HOST]/myfarm");
            exit;
        }
}

echo '
<br/>
<div style="text-align:center;">
<div>
<ul class="minor">
<li><a href="registration">Регистрация</a></li>
</ul><br/>
<form action="/autorization" id="id1" method="post"><div style="width:0px;height:0px;position:absolute;left:-100px;top:-100px;overflow:hidden"><input type="hidden" name="loginForm_loginForm_hf_0" id="loginForm_loginForm_hf_0" /></div>
<ul>
<li>
<label>Имя<li class="pavelgrey"/>
<input type="text" value="" name="nick"/>
</label>
</li>
<li class="pt">
<label>Пароль<li class="pavelgrey"/>
<input type="password" value="" name="password"/>
</label>
</li>


<li>
<input type="submit" value="Вход"/>
</li>
</ul>
</form>

<div>
<ul>
<li class="pt"><a href="/pass">Забыли пароль?</a></li>
</ul>
</div>

</div>
</div>';

include_once 'inc/foot.php';

echo "</body></html>";
exit;

?>